function y=mk_template(y,fmin,fmax,tp,t0,fs,nwin,npre)

% This function build the template waveform window

% Filter the whole seismogram (to avoid edge problem)
fn = fs/2;
[b,a] = butter(4,[fmin fmax]./fn);
y = y - mean(y);
y = filtfilt(b,a,y);

% Get the first point of the seismogram for windowing P-wave
I =  round((tp-t0)*24*3600*fs);
I = I -npre;

y = y(I:I+nwin-1);
y = y .* tukeywin(nwin,0.05);

