function T= find_events(R,min_dist,min_cor)

% Take the enveloppe of the correlation signal
% (not very much used here but it s betetr in case we stack several
% correlation functions
R = abs(hilbert(R));

% Set the correrlation threshold based on the median absolute devaition if
% it has not been set
if nargin == 2
    min_cor = mean(R) + 8 * mad(R);
end

% Build the time vector
t = 1:length(R);
% Find Peaks in the correlation function separated at least by min_dist and
% whose values are higher than min_cor
[~,T]=findpeaks(R,t,'MinpeakDistance',min_dist,'MinpeakHeight',min_cor);

